Bug 33915 - Samba + Quota allows user to pass hard limit; but with gibberish data not correct files
Summary: Samba + Quota allows user to pass hard limit; but with gibberish data not cor...
Status: CLOSED DUPLICATE of bug 31632
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-29 19:34 UTC by Rob Landry
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-29 19:39:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch that was described in the bug report (3.36 KB, patch)
2001-03-29 19:35 UTC, Rob Landry
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:044 normal SHIPPED_LIVE : New samba packages available to fix /tmp races 2001-04-05 04:00:00 UTC

Description Rob Landry 2001-03-29 19:34:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.1-0.1.9 i686; en-US; 0.7)
Gecko/20010118




Reproducible: Always
Steps to Reproduce:
1. Setup SAMBA and QUOTA on the same machine with the same partition/share
2. Copy files from a remote windows machine to the samba machine
3. When you hit the soft limit "Disk Full" will appear but the file being
copied appears to be ok
4. Continue to copy files; each time you will get "Disk Full" however the
files copied will be of the correct size but will be gibberish; labeled
"ASCII TEXT" instead of correct file type.
5.  When you reach the hard limit it will continue the same behavior allow
the user to occupy more space on the drive than is available with quota
	

Actual Results:  See above

Expected Results:  When you hit the soft limit the file being copied should
continue to be copied (asuming is doesn't reach the hard limit) however any
additional copies will result in "Disk Full" on the windows machine

I have a patch that came from our Japanese office who recieved it from IBM;
this patch has been tested and results in the expected behaviour; however
we have not attempted to sanatize this patch for anything other than
correct end result behaviour.  If samba is left as is it will appear to
write the correct amount of data once you pass the quota limit; however the
data written is not the file sent cause a loss of data.

In addition the Japanese office has an outstanding request for a
fix/workaround to the above problem that they need an offical fix for.

Comment 1 Rob Landry 2001-03-29 19:35:12 UTC
Created attachment 14143 [details]
The patch that was described in the bug report

Comment 2 Rob Landry 2001-03-29 19:39:53 UTC
Bug #31632 is the entry from the Japanese office


Comment 3 Bill Nottingham 2001-03-29 22:16:49 UTC
This patch is BROKEN.

See original bug report.

*** This bug has been marked as a duplicate of 31632 ***


Note You need to log in before you can comment on or make changes to this bug.